Skip to main content
`Ctrl`+`K`

# assert_aligned_axes_compatible

ndcube.utils.collection.assert_aligned_axes_compatible(

  data_dimensions1,
  data_dimensions2,
  data_axes1,
  data_axes2,

)

  Checks whether two sets of aligned axes are compatible.

  Parameters:

    - data_dimensions1 (`tuple` of `int`) – The dimension lengths of data cube 1.

    - data_dimensions2 (`tuple` of `int`) – The dimension lengths of data cube 2.

    - data_axes1 (`tuple` of `int`) – The aligned axes of data cube 1.

    - data_axes2 (`tuple` of `int`) – The aligned axes of data cube 2.